Page MenuHomePhabricator

Reloading a translation from translationview does not restore the saved content
Closed, ResolvedPublic

Description

I am not sure how often people experience this, but, when you are doing a translation, and all saved(autosaved), accidentally or intentionally if you reload the page, the whole translation view will appear without a draft=x url param. This means, for CX, it is a fresh start of translation. and wont attempt fetching the content.

This should not happen. No matter whether it is a translation-resume workflow or not, if there is a translation in our database for the given source language-source title - target-language combination, we should restore.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDo not rely on draft param to restore a draft

Event Timeline

santhosh created this task.Dec 7 2015, 8:25 AM
santhosh raised the priority of this task from to Needs Triage.
santhosh updated the task description. (Show Details)
santhosh added a project: ContentTranslation.
santhosh added a subscriber: santhosh.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 7 2015, 8:25 AM
santhosh triaged this task as High priority.Dec 7 2015, 8:55 AM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.
santhosh claimed this task.Dec 7 2015, 11:50 AM
santhosh added a project: LE-CX7-Sprint 4.
santhosh moved this task from Backlog to In Progress on the LE-CX7-Sprint 4 board.

Change 257298 had a related patch set uploaded (by Santhosh):
Do not rely on draft param to restore a draft

https://gerrit.wikimedia.org/r/257298

Change 257298 merged by jenkins-bot:
Do not rely on draft param to restore a draft

https://gerrit.wikimedia.org/r/257298

santhosh moved this task from In Review to QA on the LE-CX7-Sprint 4 board.Dec 8 2015, 8:49 AM
Arrbee added a subscriber: Arrbee.Dec 11 2015, 7:04 AM

Confirmed on cx2. Also two messages are now shown if the user reloads - 1) Loading auto-saved content, 2) saved content loaded. No loss of content viewed. Although currently affected by T121116

Arrbee moved this task from QA to Done on the LE-CX7-Sprint 4 board.Dec 14 2015, 10:37 AM
santhosh closed this task as Resolved.Dec 22 2015, 7:12 AM